InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: InterQJournalProtocolProtos, class: GetStorageInfoRequestProto, class: Builder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>
org.apache.hadoop.hdfs.qjournal.protocol.InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder

All Implemented Interfaces:
  `Cloneable`, `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  InterQJournalProtocolProtos.GetStorageInfoRequestProto

public static final class InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder> implements InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder
Protobuf type `hadoop.hdfs.qjournal.GetStorageInfoRequestProto`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto`
  `build()`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto`
  `buildPartial()`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `clear()`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `clearJid()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `clearNameServiceId()`
  `optional string nameServiceId = 2;`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `clone()`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `QJournalProtocolProtos.JournalIdProto`
  `getJid()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `QJournalProtocolProtos.JournalIdProto.Builder`
  `getJidBuilder()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `QJournalProtocolProtos.JournalIdProtoOrBuilder`
  `getJidOrBuilder()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `String`
  `getNameServiceId()`
  `optional string nameServiceId = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getNameServiceIdBytes()`
  `optional string nameServiceId = 2;`
  `boolean`
  `hasJid()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `boolean`
  `hasNameServiceId()`
  `optional string nameServiceId = 2;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `mergeFrom(InterQJournalProtocolProtos.GetStorageInfoRequestProto other)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `mergeJid(QJournalProtocolProtos.JournalIdProto value)`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `final InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setJid(QJournalProtocolProtos.JournalIdProto value)`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setJid(QJournalProtocolProtos.JournalIdProto.Builder builderForValue)`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setNameServiceId(String value)`
  `optional string nameServiceId = 2;`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setNameServiceIdBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional string nameServiceId = 2;`
  `InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### clear

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### getDefaultInstanceForType

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### setField

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### clearField

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### clearOneof

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### setRepeatedField

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### addRepeatedField

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### mergeFrom

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### mergeFrom

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder mergeFrom(InterQJournalProtocolProtos.GetStorageInfoRequestProto other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### mergeFrom

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`
    Throws:
      `IOException`

  - ### hasJid

    public boolean hasJid()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
    Specified by:
      `hasJid` in interface `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`
    Returns:
      Whether the jid field is set.

  - ### getJid

    public QJournalProtocolProtos.JournalIdProto getJid()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
    Specified by:
      `getJid` in interface `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`
    Returns:
      The jid.

  - ### setJid

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setJid(QJournalProtocolProtos.JournalIdProto value)
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`

  - ### setJid

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setJid(QJournalProtocolProtos.JournalIdProto.Builder builderForValue)
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`

  - ### mergeJid

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder mergeJid(QJournalProtocolProtos.JournalIdProto value)
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`

  - ### clearJid

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder clearJid()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`

  - ### getJidBuilder

    public QJournalProtocolProtos.JournalIdProto.Builder getJidBuilder()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`

  - ### getJidOrBuilder

    public QJournalProtocolProtos.JournalIdProtoOrBuilder getJidOrBuilder()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
    Specified by:
      `getJidOrBuilder` in interface `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`

  - ### hasNameServiceId

    public boolean hasNameServiceId()
    `optional string nameServiceId = 2;`
    Specified by:
      `hasNameServiceId` in interface `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`
    Returns:
      Whether the nameServiceId field is set.

  - ### getNameServiceId

    public String getNameServiceId()
    `optional string nameServiceId = 2;`
    Specified by:
      `getNameServiceId` in interface `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`
    Returns:
      The nameServiceId.

  - ### getNameServiceIdBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getNameServiceIdBytes()
    `optional string nameServiceId = 2;`
    Specified by:
      `getNameServiceIdBytes` in interface `InterQJournalProtocolProtos.GetStorageInfoRequestProtoOrBuilder`
    Returns:
      The bytes for nameServiceId.

  - ### setNameServiceId

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setNameServiceId(String value)
    `optional string nameServiceId = 2;`
    Parameters:
      `value` - The nameServiceId to set.
    Returns:
      This builder for chaining.

  - ### clearNameServiceId

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder clearNameServiceId()
    `optional string nameServiceId = 2;`
    Returns:
      This builder for chaining.

  - ### setNameServiceIdBytes

    public InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setNameServiceIdBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional string nameServiceId = 2;`
    Parameters:
      `value` - The bytes for nameServiceId to set.
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`

  - ### mergeUnknownFields

    public final InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<InterQJournalProtocolProtos.GetStorageInfoRequestProto.Builder>`